;=========================================================================
atenin	; Atencin de interrupciones gatillado por TMR0
	; ----------------------------------------------------------------
	m_push
	; ----------------------------------------------------------------
lab_1	IF_NO_RB0	; Interrupcion por flanco en RB0/INT
	; ----------------------------------------------------------------
	goto	xit_1
	bcf	INTCON,INTF	; Limpia aviso
	movlf	MAXIDLE,TIDLE	; Resetea contador para sleep

;	bsf	FLAGS,DESBOR	; Anota el desborde
	goto	retorno
xit_1
	; ----------------------------------------------------------------
lab_2	IF_NO_TMR0	; Interrupcion por desborde del TIMER0
	; ----------------------------------------------------------------
	goto	xit_2
	bcf	INTCON,T0IF	; Limpia flag de rebalse del TMR0

	RESET_TMR0		; Recarga TIMINI
	bsf	TICS,DSBT0us	; Seala el desborde de TMR0

	; Analiza si habilita medicin de pulsos con RB0INT
simide
;	btfss	FLAGS,TEP_ON
	goto	nomide

midenp	HABILITA_RB0		; Habilita RB0INT
	goto	retorno

nomide	DESHABIL_RB0		; Deshabilita RB0INT
	goto	retorno
xit_2
	; ----------------------------------------------------------------
retorno	; Vuelta a modo sincrono
	; ----------------------------------------------------------------
	m_pop
	retfie
;=========================================================================
clrgie	bcf	INTCON,GIE	; Deshabilita interrupciones
	btfsc	INTCON,GIE	; Controla que haya borrado
	goto	$-2		; Vuelve a intentar
	return
;=========================================================================

;#IFDEF PRUEBAS
;	btfss	FLAGS,DESBOR
;	goto	goset
;	bcf	FLAGS,DESBOR
;	goto	retorno
;goset	bsf	FLAGS,DESBOR
;	goto	retorno
;#ENDIF ; PRUEBAS

