;=========================================================================
;	DEFINES								
;=========================================================================
; Bucle corto - 50 pasos para desborde
;#define 	TIMINI		d'206'	; Valor de reset de TMR0
;#define 	NDSBT0		d'20'	; 20 desbordes suman 1 ms
;=========================================================================
; Bucle medio - 100 pasos para desborde
#define 	TIMINI		d'156'	; Valor de reset de TMR0
#define 	NDSBT0		d'10'	; 10 desbordes suman 1 ms
;=========================================================================
; Bucle largo - Td=125 pasos para desborde
;#define 	TIMINI		d'131'	; Valor de reset de TMR0
;#define 	NDSBT0		d'4'	; 4 desbordes suman 1 ms
;=========================================================================
#define		MAX001ms	d'10'	; Recarga de contador 10 ms
#define		MAX010ms	d'10'	; Recarga de contador 100 ms
#define		MAX100ms	d'10'	; Recarga de contador 1 seg
#define		MAX001sg	d'10'	; Recarga de contador 10 seg
#define		MAXIDLE		d'60'	; 60 seg sin pulsos en RB0/INT
;=========================================================================
; 125 instrucciones con F=1:1 
; Cada instruccion tarda 200nS (4x50ns siendo 50ns=1/20MHz)
; Resultan 25 us por cada desborde del TMR0
;=========================================================================
#define		SI_HUBO_LLEVADA		btfss	STATUS,C
#define		SI_HUBO_ACARREO		btfsc	STATUS,C

#define		DESHABIL_GLOBAL		clrgie
#define		HABILITA_GLOBAL		bsf	INTCON,	GIE	

#define		HABILITA_PERIF		bsf	INTCON,PEIE
#define		DESHABIL_PERIF		bcf	INTCON,PEIE
#define		IF_NO_PEIE		btfss	INTCON,PEIE

#define		HABILITA_TMR0		bsf	INTCON,T0IE
#define		DESHABIL_TMR0		bcf	INTCON,T0IE
#define		IF_NO_TMR0		btfss	INTCON,T0IF

#define		HABILITA_RB0		bsf	INTCON,INTE
#define		DESHABIL_RB0		bcf	INTCON,INTE
#define		IF_NO_RB0		btfss	INTCON,INTF

#define		HABILITA_RBIO		bsf	INTCON,RBIE
#define		DESHABIL_RBIO		bcf	INTCON,RBIE
#define		IF_NO_RBIO		btfss	INTCON,RBIF

;#define		HABILITA_TMR1		bsf	INTCON,T0IE
;#define		DESHABILITA_TMR1	bcf	INTCON,T0IE
;#define		IF_NO_TMR1		btfss	INTCON,T0IF

#define 	ADDMODO 		bsf	MODOINS,
