;=====================================================================================
reloj	; Determina la ventana de tiempo de medicin
	
	btfss	TICS,DSBT0us
	return
	
	; Cada vez que desborda TMR0 (ver "defines.inc")
	bcf	TICS,DSBT0us
rango4
	decfsz	DT_DSBT0,F
	return
	
	; Cada 1 ms (= NDSBT0 desbordes de TMR0)
	movlf	NDSBT0,DT_DSBT0		; Recarga contador regresivo
;	feqls	RANGO,0x04		; if (RANGO = 0x04) salta
;	goto	rango3

	; Rango = 4
;	call	transf			; Transfiere nuevo valor
	bsf	PORTB,1			; Para control
	;--------------------------------------------------------
rango3
;	call	Disp7s			; Refresca el display
	decfsz	DT_001ms,F
	return
	
	; Cada 10 ms
	recarga	MAX001ms,DT_001ms	; Recarga contador regresivo
;	feqls	RANGO,0x03		; if (RANGO = 0x03) salta
;	goto	rango2

	; Rango = 3
;	call	transf			; Transfiere nuevo valor
	bsf	PORTB,2
	;--------------------------------------------------------
rango2
	decfsz	DT_010ms,F
	return
	
	; Cada 100 ms
	recarga	MAX010ms,DT_010ms	; Recarga contador regresivo
	;--------------------------------------------------------
;	bsf	INTCON,INTF		; Genera por software el flag de INTE
	;--------------------------------------------------------
tests5
	fnels	DT_100ms,d'5'		; if DT_100ms <> d'5' salta
	bsf	FLAGS,PARPAD		; Est en la mitad del segundo
	APAGA_LED 1
	;--------------------------------------------------------
;	feqls	RANGO,0x02		; if (RANGO = 0x02) salta
;	goto	rango1
	; Rango = 2
;	call	transf			; Transfiere nuevo valor
	bsf	PORTB,3
	
rango1
	decfsz	DT_100ms,F
	return
	
	; Cada 1 seg
	PRENDE_LED 1

	bsf	PORTB,4
;	recarga	MAX100ms,DT_100ms	; Recarga contador regresivo
	movlf	d'10',DT_100ms		; No puede ser otro valor
	;--------------------------------------------------------
	;
	; Tareas cada 1 seg
	;
	nop
 	nop
	; ---------------------
	; Entrada a modo sleep
	;
	decfsz	TIDLE,F		; Descuenta 1/2 seg.
	goto	wakeup		; No va a sleep
;	call	restpic		; Modo sleep
	movlf	MAXIDLE,TIDLE	; Reset del contador
wakeup	;--------------------------------------------------------

;	feqls	RANGO,0x01		; if (RANGO = 0x01) salta
;	goto	rango0

	; Rango = 1
;	call	transf		; Transfiere nuevo valor

rango0
	decfsz	DT_001sg,F
	return

	; Cada 10 seg
	clrf	PORTB	
;	bsf	PORTB,5
	
	movlf	MAX001sg,DT_001sg	; Recarga contador regresivo

	return

;----------------------------------------------------------------

transf
	; Transfiere Resultados de la conversin A/D
	; Convierte el valor medido en hexa a decimal

	return

;=====================================================================================
parpa	; Parpadeo del punto en el digito de escala
	;
swappun
	btfss	FLAGS,PARPAD	; Indica 1/2 s
	goto	finparp
	bcf	FLAGS,PARPAD	; Quita seal
	btfss	PORTB,BITPUNTO	; Analiza estado anterior
	goto	prenpun
apagpun	bcf	PORTB,BITPUNTO	; Apaga el punto
	goto	finparp
prenpun	bsf	PORTB,BITPUNTO	; Prende el punto
finparp
	;btfsc	FLAGS,OFFRNG	; Si est fuera de rango
	;bsf	PORTA,4		; Prende el punto
	
	return			; ----------------------------
;=====================================================================================

